%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:			gnome-tweak-tool
Version:		3.3.4
Release:		%mkrel 1
Summary:		A tool to customize advanced GNOME 3 options
Group:			Graphical desktop/GNOME
License:		GPLv3
URL:			http://live.gnome.org/GnomeTweakTool
Source0:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:		GConf2
BuildRequires:		intltool
BuildRequires:		pkgconfig(gsettings-desktop-schemas) >= 3.3.2
BuildRequires:		pkgconfig(pygobject-3.0) >= 2.29.0
BuildRequires:		desktop-file-utils
BuildArch:		noarch
Requires:		gnome-shell

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch GTK+ themes
* Switch icon themes
* Change
  - The user-interface and title bar fonts
  - Icons in menus and buttons
  - Behavior on laptop lid close
  - Shell font size
  - File manager desktop icons
  - Title bar click action
  - Shell clock to show date
  - Font hinting
  - Font anti-aliasing


%files -f %{name}.lang
# License not included in source
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{python_sitelib}/gtweak
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%configure2_5x --build=%{_host}
%make

%install
%makeinstall_std
%find_lang %{name}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
	--remove-only-show-in=Unity \
	%{buildroot}%{_datadir}/applications/*.desktop


%changelog

* Sat Jan 14 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 195900
- do not use autogen
- fix build host
- new version 3.3.4

* Sun Nov 27 2011 colin <colin> 3.3.0-0.20111127.1.mga2
+ Revision: 172862
- Update to git master version to work with gnome-shell 3.3.x

* Sat Nov 19 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 169053
- new version 3.2.2

* Thu Nov 03 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 161994
- fix build
- new version 3.2.1
  should be noarch package

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149882
- new version 3.2.0

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137469
- new version 3.1.90
- br gnome-common
- add upstream patch to build with pygobject3
- drop invalid category
- new version 3.1.0

* Mon Jun 27 2011 fwang <fwang> 3.0.5-1.mga2
+ Revision: 114316
- new version 3.0.5

* Sun Jun 19 2011 kharec <kharec> 3.0.4-1.mga2
+ Revision: 109731
- new version

* Fri Jun 17 2011 dmorgan <dmorgan> 3.0.3-1.mga2
+ Revision: 108663
- Make it build by removing the noarch (bug ?)
- imported package gnome-tweak-tool

